Bug 71078 - Update port: java/eclipse-pmd upgrade to support eclipse3
Summary: Update port: java/eclipse-pmd upgrade to support eclipse3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-java (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-08-28 14:20 UTC by Bruno Van Den Bossche
Modified: 2004-09-03 21:29 UTC (History)
1 user (show)

See Also:


Attachments
pmd-port.sh (6.23 KB, text/plain)
2004-08-28 14:20 UTC, Bruno Van Den Bossche
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bruno Van Den Bossche 2004-08-28 14:20:13 UTC
	Upgrade of the pmd-plugin for Eclipse to support eclipse3 and
	upgrade th port to the current major version
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2004-09-03 00:17:52 UTC
State Changed
From-To: open->feedback

Please submit port updates in diff -u format as versus the current 
port.  This makes it much easier for ports committers to understand 
what is being changed.  Thanks.
Comment 2 Bruno Van Den Bossche 2004-09-03 11:01:55 UTC
On Thu, 2 Sep 2004 23:18:38 GMT
Mark Linimon <linimon@FreeBSD.org> wrote:

[...]
> State-Changed-Why: 
> Please submit port updates in diff -u format as versus the current
> port.  This makes it much easier for ports committers to understand
> what is being changed.  Thanks.

Sorry about that.

Bruno


Fix:

diff -u eclipse-pmd.ori/Makefile eclipse-pmd/Makefile
--- eclipse-pmd.ori/Makefile	Fri Sep  3 11:38:04 2004
+++ eclipse-pmd/Makefile	Fri Sep  3 11:38:36 2004
@@ -1,40 +1,72 @@
 # New ports collection makefile for:	eclipse-pmd
 # Date created:				October 3, 2003
-# Whom:					Bruno Van Den Bossche <bruno.van.den.bossche@pandora.be>
+# Whom:					Bruno Van Den Bossche <brvdboss@spymac.com>
 #
-# $FreeBSD: ports/java/eclipse-pmd/Makefile,v 1.3 2004/08/17 10:25:48 kris Exp $
+# $FreeBSD$
 #
 
 PORTNAME=	pmd
-PORTVERSION=	1.1.2
+PORTVERSION=	2.0.5.v3
 CATEGORIES=	java devel
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	pmd
 PKGNAMEPREFIX=	eclipse-
-DISTNAME=	pmd-eclipse-bin-${PORTVERSION}
+DISTNAME=	pmd-eclipse3-site-2.0.5
 DIST_SUBDIR=	eclipse
 
 MAINTAINER=	java@FreeBSD.org
 COMMENT=	Scan Java source code and look for potential problems
 
-IGNORE=		is too hard to adopt Eclipse 3.0
+RUN_DEPENDS=    ${LOCALBASE}/bin/eclipse:${PORTSDIR}/java/eclipse
 
 NO_BUILD=	yes
 NO_WRKSUBDIR=	yes
 USE_ZIP=	yes
+USE_JAVA=	yes
 
 CPIO?=		cpio --quiet -pdmu -R
 
-PLUGIN_DIR=	"net.sourceforge.pmd.eclipse_${PORTVERSION}"
+PMDVERSION=	1.8.0.v3
 
-PLIST_SUB+=	PLUGIN_DIR="${PLUGIN_DIR}"
+PLUGIN_CORE_DIR="net.sourceforge.pmd.core_${PMDVERSION}"
+PLUGIN_PMD_DIR=	"net.sourceforge.pmd.eclipse_${PORTVERSION}"
+
+PLIST_SUB+=	PLUGIN_PMD_DIR="${PLUGIN_PMD_DIR}" \
+		PLUGIN_CORE_DIR="${PLUGIN_CORE_DIR}"
+
+post-extract:
+		cd ${WRKDIR}/features && ${MKDIR} ${PLUGIN_PMD_DIR} \
+		&& ${CP} ${PLUGIN_PMD_DIR}.jar ${PLUGIN_PMD_DIR} \
+		&& cd ${PLUGIN_PMD_DIR} \
+		&& ${JAR} xvf ${PLUGIN_PMD_DIR}.jar \
+		&& ${RM} ${PLUGIN_PMD_DIR}.jar
+
+		cd ${WRKDIR}/plugins && ${MKDIR} ${PLUGIN_PMD_DIR} \
+		&& ${CP} ${PLUGIN_PMD_DIR}.jar ${PLUGIN_PMD_DIR} \
+		&& cd ${PLUGIN_PMD_DIR} \
+		&& ${JAR} xvf ${PLUGIN_PMD_DIR}.jar \
+		&& ${RM} ${PLUGIN_PMD_DIR}.jar
+
+		cd ${WRKDIR}/plugins && ${MKDIR} ${PLUGIN_CORE_DIR} \
+		&& ${CP} ${PLUGIN_CORE_DIR}.jar ${PLUGIN_CORE_DIR} \
+		&& cd ${PLUGIN_CORE_DIR} \
+		&& ${JAR} xvf ${PLUGIN_CORE_DIR}.jar \
+		&& ${RM} ${PLUGIN_CORE_DIR}.jar
 
 do-install:
 		@${MKDIR} ${PREFIX}/eclipse
 		@${MKDIR} ${PREFIX}/eclipse/plugins
-		@${MKDIR} ${PREFIX}/eclipse/plugins/${PLUGIN_DIR}
-		cd ${WRKSRC}/${PLUGIN_DIR} && ${FIND} . \
+		@${MKDIR} ${PREFIX}/eclipse/plugins/${PLUGIN_PMD_DIR}
+		@${MKDIR} ${PREFIX}/eclipse/plugins/${PLUGIN_CORE_DIR}
+		@${MKDIR} ${PREFIX}/eclipse/features/${PLUGIN_PMD_DIR}
+		cd ${WRKDIR}/features/${PLUGIN_PMD_DIR} && ${FIND} . \
+		  | ${CPIO} ${SHAREOWN}:${SHAREGRP} \
+		${PREFIX}/eclipse/features/${PLUGIN_PMD_DIR}
+		cd ${WRKDIR}/plugins/${PLUGIN_PMD_DIR} && ${FIND} . \
+		  | ${CPIO} ${SHAREOWN}:${SHAREGRP} \
+		  ${PREFIX}/eclipse/plugins/${PLUGIN_PMD_DIR}
+		cd ${WRKDIR}/plugins/${PLUGIN_CORE_DIR} && ${FIND} . \
 		  | ${CPIO} ${SHAREOWN}:${SHAREGRP} \
-		  ${PREFIX}/eclipse/plugins/${PLUGIN_DIR}
+		  ${PREFIX}/eclipse/plugins/${PLUGIN_CORE_DIR}
 
 .include <bsd.port.mk>
diff -u eclipse-pmd.ori/distinfo eclipse-pmd/distinfo
--- eclipse-pmd.ori/distinfo	Fri Sep  3 11:38:04 2004
+++ eclipse-pmd/distinfo	Fri Sep  3 11:38:36 2004
@@ -1,2 +1,2 @@
-MD5 (eclipse/pmd-eclipse-bin-1.1.2.zip) = cd46079fc6c98e4bc6ff2586eb654353
-SIZE (eclipse/pmd-eclipse-bin-1.1.2.zip) = 3808789
+MD5 (eclipse/pmd-eclipse3-site-2.0.5.zip) = 2031c18c9e3875809064df1eb192058e
+SIZE (eclipse/pmd-eclipse3-site-2.0.5.zip) = 4267395
diff -u eclipse-pmd.ori/pkg-plist eclipse-pmd/pkg-plist
--- eclipse-pmd.ori/pkg-plist	Fri Sep  3 11:38:04 2004
+++ eclipse-pmd/pkg-plist	Fri Sep  3 11:38:36 2004
@@ -1,41 +1,52 @@
-eclipse/plugins/%%PLUGIN_DIR%%/CHANGELOG.txt
-eclipse/plugins/%%PLUGIN_DIR%%/LICENSE.txt
-eclipse/plugins/%%PLUGIN_DIR%%/README.txt
-eclipse/plugins/%%PLUGIN_DIR%%/RELNOTES.txt
-eclipse/plugins/%%PLUGIN_DIR%%/TODO.txt
-eclipse/plugins/%%PLUGIN_DIR%%/build.properties
-eclipse/plugins/%%PLUGIN_DIR%%/doc.zip
-eclipse/plugins/%%PLUGIN_DIR%%/icons/error.gif
-eclipse/plugins/%%PLUGIN_DIR%%/icons/file.gif
-eclipse/plugins/%%PLUGIN_DIR%%/icons/info.gif
-eclipse/plugins/%%PLUGIN_DIR%%/icons/pmd-icon-16.gif
-eclipse/plugins/%%PLUGIN_DIR%%/icons/pmd-icon-32.gif
-eclipse/plugins/%%PLUGIN_DIR%%/icons/prio_1.gif
-eclipse/plugins/%%PLUGIN_DIR%%/icons/prio_2.gif
-eclipse/plugins/%%PLUGIN_DIR%%/icons/prio_3.gif
-eclipse/plugins/%%PLUGIN_DIR%%/icons/prio_4.gif
-eclipse/plugins/%%PLUGIN_DIR%%/icons/prio_5.gif
-eclipse/plugins/%%PLUGIN_DIR%%/icons/prj.gif
-eclipse/plugins/%%PLUGIN_DIR%%/icons/remvio.gif
-eclipse/plugins/%%PLUGIN_DIR%%/icons/warn.gif
-eclipse/plugins/%%PLUGIN_DIR%%/lib/commons-logging.jar
-eclipse/plugins/%%PLUGIN_DIR%%/lib/jaxen-core-1.0-fcs.jar
-eclipse/plugins/%%PLUGIN_DIR%%/lib/log4j-1.2.8.jar
-eclipse/plugins/%%PLUGIN_DIR%%/lib/pmd-1.2.1.jar
-eclipse/plugins/%%PLUGIN_DIR%%/lib/saxpath-1.0-fcs.jar
-eclipse/plugins/%%PLUGIN_DIR%%/log4j.xml
-eclipse/plugins/%%PLUGIN_DIR%%/messages.properties
-eclipse/plugins/%%PLUGIN_DIR%%/nl/fr/messages.properties
-eclipse/plugins/%%PLUGIN_DIR%%/plugin.properties
-eclipse/plugins/%%PLUGIN_DIR%%/plugin.xml
-eclipse/plugins/%%PLUGIN_DIR%%/plugin_fr.properties
-eclipse/plugins/%%PLUGIN_DIR%%/pmd-eclipse.jar
-eclipse/plugins/%%PLUGIN_DIR%%/toc.xml
-@dirrm eclipse/plugins/%%PLUGIN_DIR%%/nl/fr
-@dirrm eclipse/plugins/%%PLUGIN_DIR%%/nl
-@dirrm eclipse/plugins/%%PLUGIN_DIR%%/lib
-@dirrm eclipse/plugins/%%PLUGIN_DIR%%/icons
-@dirrm eclipse/plugins/%%PLUGIN_DIR%%
-@unexec rmdir %D/eclipse/plugins 2>/dev/null || true
-@unexec rmdir %D/eclipse/features 2>/dev/null || true
-@unexec rmdir %D/eclipse 2>/dev/null || true
+eclipse/features/%%PLUGIN_PMD_DIR%%/feature.properties
+eclipse/features/%%PLUGIN_PMD_DIR%%/feature.xml
+eclipse/features/%%PLUGIN_PMD_DIR%%/pmd_logo_small.jpg
+eclipse/plugins/%%PLUGIN_CORE_DIR%%/doc.zip
+eclipse/plugins/%%PLUGIN_CORE_DIR%%/lib/jaxen-core-1.0-fcs.jar
+eclipse/plugins/%%PLUGIN_CORE_DIR%%/lib/pmd-1.8.jar
+eclipse/plugins/%%PLUGIN_CORE_DIR%%/lib/saxpath-1.0-fcs.jar
+eclipse/plugins/%%PLUGIN_CORE_DIR%%/plugin.properties
+eclipse/plugins/%%PLUGIN_CORE_DIR%%/plugin.xml
+eclipse/plugins/%%PLUGIN_CORE_DIR%%/plugin_fr.properties
+eclipse/plugins/%%PLUGIN_CORE_DIR%%/toc.xml
+eclipse/plugins/%%PLUGIN_PMD_DIR%%/CHANGELOG.txt
+eclipse/plugins/%%PLUGIN_PMD_DIR%%/LICENSE.txt
+eclipse/plugins/%%PLUGIN_PMD_DIR%%/README.txt
+eclipse/plugins/%%PLUGIN_PMD_DIR%%/RELNOTES.txt
+eclipse/plugins/%%PLUGIN_PMD_DIR%%/TODO.txt
+eclipse/plugins/%%PLUGIN_PMD_DIR%%/about.ini
+eclipse/plugins/%%PLUGIN_PMD_DIR%%/doc.zip
+eclipse/plugins/%%PLUGIN_PMD_DIR%%/icons/error.gif
+eclipse/plugins/%%PLUGIN_PMD_DIR%%/icons/file.gif
+eclipse/plugins/%%PLUGIN_PMD_DIR%%/icons/info.gif
+eclipse/plugins/%%PLUGIN_PMD_DIR%%/icons/pmd-icon-16.gif
+eclipse/plugins/%%PLUGIN_PMD_DIR%%/icons/pmd-icon-32.gif
+eclipse/plugins/%%PLUGIN_PMD_DIR%%/icons/prio_1.gif
+eclipse/plugins/%%PLUGIN_PMD_DIR%%/icons/prio_2.gif
+eclipse/plugins/%%PLUGIN_PMD_DIR%%/icons/prio_3.gif
+eclipse/plugins/%%PLUGIN_PMD_DIR%%/icons/prio_4.gif
+eclipse/plugins/%%PLUGIN_PMD_DIR%%/icons/prio_5.gif
+eclipse/plugins/%%PLUGIN_PMD_DIR%%/icons/prj.gif
+eclipse/plugins/%%PLUGIN_PMD_DIR%%/icons/remvio.gif
+eclipse/plugins/%%PLUGIN_PMD_DIR%%/icons/warn.gif
+eclipse/plugins/%%PLUGIN_PMD_DIR%%/lib/commons-logging.jar
+eclipse/plugins/%%PLUGIN_PMD_DIR%%/lib/log4j-1.2.8.jar
+eclipse/plugins/%%PLUGIN_PMD_DIR%%/log4j.dtd
+eclipse/plugins/%%PLUGIN_PMD_DIR%%/log4j.xml
+eclipse/plugins/%%PLUGIN_PMD_DIR%%/messages.properties
+eclipse/plugins/%%PLUGIN_PMD_DIR%%/nl/fr/messages.properties
+eclipse/plugins/%%PLUGIN_PMD_DIR%%/nl/fr/welcome.xml
+eclipse/plugins/%%PLUGIN_PMD_DIR%%/plugin.properties
+eclipse/plugins/%%PLUGIN_PMD_DIR%%/plugin.xml
+eclipse/plugins/%%PLUGIN_PMD_DIR%%/plugin_fr.properties
+eclipse/plugins/%%PLUGIN_PMD_DIR%%/pmd-eclipse.jar
+eclipse/plugins/%%PLUGIN_PMD_DIR%%/toc.xml
+eclipse/plugins/%%PLUGIN_PMD_DIR%%/welcome.xml
+@dirrm eclipse/plugins/%%PLUGIN_PMD_DIR%%/nl/fr
+@dirrm eclipse/plugins/%%PLUGIN_PMD_DIR%%/nl
+@dirrm eclipse/plugins/%%PLUGIN_PMD_DIR%%/lib
+@dirrm eclipse/plugins/%%PLUGIN_PMD_DIR%%/icons
+@dirrm eclipse/plugins/%%PLUGIN_PMD_DIR%%
+@dirrm eclipse/plugins/%%PLUGIN_CORE_DIR%%/lib
+@dirrm eclipse/plugins/%%PLUGIN_CORE_DIR%%
+@dirrm eclipse/features/%%PLUGIN_PMD_DIR%%
Comment 3 Norikatsu Shigemura freebsd_committer 2004-09-03 21:29:40 UTC
State Changed
From-To: feedback->closed

Committed, thanks!